Django Phantom Theme
====================

Phantom is an admin theme for Django Framework. It allows for registering custom database options and provides a clean and modern web interface.
The application is designed to be responsive and adopt to mobile and tablet devices. To achieve this we have used the twitter bootstrap 3.x framework grid. The application is constantly evolving so make sure you checkout github for the latest updates and fixes.

Features
========
* A clean and modern user interface
* Hand-written pure HTML5/CSS3 code with indented HTML output
* Responsive interface, optimized for mobile phones and tablets
* Register custom database settings (options) editable from the UI. You can use all standard Django form fields for these settings
* Register your applications to the top-bar navigation
* Refurbished original django admin widgets
* Added new django admin widgets
	* AutoCompleteTextInput
	* BootstrapRadioRenderer
	* BootstrapCurrencyDecimalWidget
	* BootstrapPercentageDecimalWidget
	* URLThumbWidget
	* Select2MultipleWidget
	* Select2Widget
* Basic profile model and views ready to extend
* Mechanism for opening the original Django admin popup windows with fancybox
* Zinnia Blog admin index

Screenshots
=================

![Alt text][Django Phantom Theme - login]
[Django Phantom Theme - login]: https://raw.github.com/eggforsale/django-phantom-theme/master/screenshoots/login.png

![Alt text][Django Phantom Theme - dashboard]
[Django Phantom Theme - dashboard]: https://raw.github.com/eggforsale/django-phantom-theme/master/screenshoots/dashboard.png

![Alt text][Django Phantom Theme - password change]
[Django Phantom Theme - password change]: https://raw.github.com/eggforsale/django-phantom-theme/master/screenshoots/password_change.png

![Alt text][Django Phantom Theme - pagination]
[Django Phantom Theme - pagination]: https://raw.github.com/eggforsale/django-phantom-theme/master/screenshoots/pagination.png

Authors and Contributors
========================
bespider (@bespider) for EggForSale (@eggforsale) created Django Phantom Theme.

Licence
=======
Django Phantom Theme is licensed under Creative Commons Attribution-NonCommercial 3.0 license.

Licence and pricing: http://www.eggforsale.com

Support or Contact
==================
Having trouble with Django Phantom Theme? Check out the detail page at http://www.eggforsale.com or contact support@eggforsale.com and we’ll help you sort it out.

Documentation at http://django-phantom-theme.readthedocs.org/en/latest/
